﻿using Syncfusion.Data;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace UpdateComboBoxCollection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
            this.grid.ItemsSource = vm.OrderInfoCollection;
            this.combo.ItemsSource = vm.OrderInfoCollection.Select(p => p.CustomerName).Distinct();

            this.grid.CurrentCellValidated += grid_CurrentCellValidated;   
        }

        private void grid_CurrentCellValidated(object sender, CurrentCellValidatedEventArgs args)
        {
            if (args.Column.MappingName != null && args.Column.MappingName == "CustomerName")
            {
                // Get the ItemSource of Grid
                var orderCollection = grid.ItemsSource as ObservableCollection<OrderInfo>;
                foreach (var record in orderCollection)
                {
                    // Check the Combobox collection only
                    if (record.CustomerName == args.OldValue)
                        // New value updated in that collecion if the collection have OldValue
                        record.CustomerName = args.NewValue.ToString();
                }
            }
        }
    }
}
